/***************************************************************************
                          confdialog.h.h  -  description
                             -------------------
    begin                : Wed Apr 03 14:12:11 CET 2002
    copyright            : (C) 2002,2003 by Jonas Genannt
    email                : jonasge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef NEWCONF_H
#define NEWCONF_H
//QT include:
#include <qvariant.h>
#include <qdialog.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtabwidget.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qslider.h>
#include <qspinbox.h>
#include <qpixmap.h>
#include <qlineedit.h>
//KDE include
#include <kapp.h>
#include <kiconloader.h>
#include <kicondialog.h>
#include <kfiledialog.h>
#include <ksystemtray.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class DockWidget;
class newconf : public QDialog
{
    Q_OBJECT

public:                                                                      //true, WFlags f =0
    newconf( QWidget *parent=0, const char *name=0, bool modal=true );
    ~newconf();

private:
DockWidget* ksdock;
QPushButton *btnok, *btncancel, *btnapply, *btndefaults;
QTabWidget *confTbs;
QWidget *conf_1, *conf_2, *conf_3, *conf_4;
QGridLayout *conf_1Layout, *conf_2Layout, *conf_3Layout, *conf_4Layout;
//general setup:
QGroupBox *general, *autoupdate;
QCheckBox *checkdock,  *checkbattery2, *checktemp, *checkown, *checknew, *checkcpufreq,*checkicon;
QSlider *stime;
QSpinBox *spintime;
QLabel *labelcombo;

//Path setup:
QGroupBox *gbatstatus, *gbatinfo, *gacstatus, *battery2, *gtempstatus;
QLineEdit *lbatstatus, *lbatinfo, *lacstatus, *ltempstatus;
QPushButton *batstat, *batinfo, *acstatus, *tempstatus;
QPixmap *pix;
QString fbatstatus, fbatinfo, facstatus, ftempstatus;
//Icon setup:
QGroupBox *gicons, *gseticon;
QLabel  *linfofull, *linfocharging, *linfodischarging;
QCheckBox *checkdraw;
KIconButton *bfull, *bdischarging, *bcharging;
QString sfull, sdischarging, scharging;

// low power warning:
QGroupBox *gwarning;
QCheckBox *checkakwarning,*checkwarmsg,*checkwarsound, *checkwarcommand, *checkshutdown;
QLineEdit *linesound, *linecommand;
QPixmap *play, *exec;
QPushButton *btnsound, *btncommand, *btnplaysound, *btnexec;


bool buffer;
int buf;
   public slots:
void slotok();
void slotcancel();
void slotapply();
void slotdefaults();
void slotbatstatus();
void slotbatinfo();
void slotacstatus();
void slottempstatus();
void slotautoupdate();
void slotsound();
void slotcommand();
void slotplaysound();
void slotexec();
void enable(bool status);
void cbattery2();

};

#endif // NEWCONF_H
