/***************************************************************************
                          kacpi.h  -  description
                             -------------------
    begin                : Fri Mar 29 22:22:11 CET 2002
    copyright            : (C) 2002,2003 by Jonas Genannt
    email                : jonasge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef KACPI_H
#define KACPI_H
//QT include:
#include <qpixmap.h>
#include <qpainter.h>
#include <qtabwidget.h>
#include <qframe.h>
#include <qlayout.h>
#include <qfont.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qlcdnumber.h>
#include <qpushbutton.h>
#include <qmessagebox.h>
//KDE include:
#include <kapp.h>
#include <kmainwindow.h>
#include <kmenubar.h>
#include <kpopupmenu.h>
#include <klocale.h>
#include <kled.h>
#include <ksystemtray.h>
#include <kstatusbar.h>


class QGridLayout;
class QVBoxLayout;
class QHBoxLayout;
class DockWidget;
class kacpi : public KMainWindow
{
  Q_OBJECT
  public:
    kacpi();
  public slots:
 void slotreload();
 void slotbattery_1(int battery);
 void slotExit();
 void slotnewconf();
 void slottimer();
 void slottimer2();
 void slottmp();
 void slotshutdown();
 void realshutdown();
 void slotproc();
 void slotlowbat(int prozent, bool ac_status, bool battery_state);
 void cpufreq();
 void slotcputimer();
 void checkforcpu();
 private:
QMessageBox *shut;
KStatusBar *kbar;
DockWidget* ksdock;
KMenuBar *menu;
KPopupMenu *file, *help;

QTabWidget *batteryTBS;
QWidget *btab_[5];
QGridLayout *btab_1Layout, *btab_2Layout, *btab_3Layout, *btab_4Layout;

QLabel *labstatus_[2], *labtime_[2], *labptime_[2], *labpertime_[2], *labacstatus_[2];
QLineEdit *linestatus_[2], *linetime_[2];
QLCDNumber *lcdnumber_[2];
KLed *ledac_1, *ledac_2;

/* CPU Fields */
QLabel *lacpu, *lacpuload, *lacpuspset, *lacputemp, *lacputhstate;
QLineEdit *licpu,  *licpuspset, *licputemp, *licputhstate;
QLCDNumber *lcdcpuload;


//===================
//==================
QPushButton *btnupdate;



// Dock Panel:
QPixmap mini_batt,mini_ac,mini_acload,icon, *curicon;
QPainter paint;
bool buffer;

protected:
void closeEvent(QCloseEvent *e);
};
#endif
	      

