/***************************************************************************
                          dock.cc  -  description
                             -------------------
    begin                : Wed Apr 03 14:12:11 CET 2002
    copyright            : (C) 2002,2003 by Jonas Genannt
    email                : jonasge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   any later version.                                   *
 *                                                                         *
 ***************************************************************************/
//KDE include:
#include <klocale.h>
#include <kiconloader.h>
#include <kconfig.h>
//other include:
#include <iostream>
#include "dock.moc"
#include "kacpi.h"
#include "confmain.h"

DockWidget::DockWidget(QWidget* parent, const char* name) : KSystemTray(parent, name)

{

KConfig* config = kapp->config();
 if (!strcmp(config->readEntry("dock_panel", "0"),"true") )
   {
    this->show();
   }
  else
   {
   this->hide();
  }

contextMenu()->changeTitle( contextMenu()->idAt(0),"Kacpi");
pmenu = contextMenu();
pmenu->insertSeparator(1);
//pmenu->insertItem(SmallIcon("viewmag"), i18n("ProcViewer"),parent, SLOT(slotproc()), 0,-1,2);
pmenu->insertItem(SmallIcon("configure"),i18n("Settings"),parent, SLOT(slotnewconf()), 0,-1,2);
pmenu->insertItem(SmallIcon("reload"),i18n("Reload"),parent, SLOT(slotreload()), 0,-2,3);
pmenu->removeItem(-5);
pmenu->insertItem(SmallIcon("exit"), i18n("Quit"), parent, SLOT(slotExit()), 0,-5,6);
}


// ##############################################
DockWidget::~DockWidget()
{

}



