/***************************************************************************
                          procviewer.h  -  description
                             -------------------
    begin                : Fri Dec 27 14:12:11 CET 2002
    copyright            : (C) 2002,2003 by Jonas Genannt
    email                : jonasge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef PROCVIEWER_H
#define PROCVIEWER_H
//QT include:
#include <qvariant.h>
#include <qdialog.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtabwidget.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qslider.h>
#include <qspinbox.h>
#include <qpixmap.h>
#include <qlineedit.h>
//KDE include
#include <kapp.h>
#include <kiconloader.h>
#include <kicondialog.h>
#include <kfiledialog.h>
#include <ksystemtray.h>
#include <klistview.h>

#include <iostream>

class procviewer : public QDialog
{
    Q_OBJECT

public:                                                                      //true, WFlags f =0
    procviewer( QWidget *parent=0, const char *name=0, bool modal=true );
    ~procviewer();

int anzahl;
char filenamen[40][80];

private:
QTabWidget *maintab;
QWidget *tab_[40];
KListView *listview_[40];
QLabel *label_[40];




public slots:
void slotsetview(int number, char *filename);
void slotreadfile(int number, char *filename);
void slotreadfiles(QString readindir);

protected:
void closeEvent(QCloseEvent *e);
};

#endif // NEWCONF_H
